#listing {
	height: 100%;
	width: 100%;

	.categoryscrollpanel {
		height: 100%;
		width: 100%;
	}

	.fakeheaderwrapper {
		position: absolute;
		left: 0;
		top: 0;
		width: 100%;
		z-index: 1;
		@include border-box;
		border-right: 0px solid transparent;

		.toplevelcategory-header {
			z-index: 1;
			margin-top: 0;
			@include transform(translateZ(0));
		}
	}

	.v-sa60 &,
	.v-sa61 &,
	.v-sa70 &,
	.v-sa80 & {
		.toplevelcategory-header{
			position: -webkit-sticky;
			top: 0;
			left: 0;
			width: 100%;
			padding-right: 27px;
			margin-left: -20px;
		}

		.fakeheaderwrapper {
			visibility: hidden;
		}
	}

	.toplevelcategory-header {
		background-color: #00b4f0;
		position: absolute;
		left: 0;
		right: 2px;
		margin-top: -60px;
		padding: 10px 0 6px;
		margin-right: 8px;
		z-index: 2;
		@include transform(translateZ(1px));

		.toplevelcategory-anchor {
			font-family:'HelveticaW01-RoundedBd', sans-serif;
			font-size: 22px;
			text-decoration: none;
			display: inline-block;
			vertical-align: middle;
			color: #fff;
			cursor: pointer;

			.icon {
				font-family: community;
				padding: 0 18px;
				font-size: 40px;
				display: inline-block;
				vertical-align: middle;
			}
		}

		.upbutton,
		.downbutton {
			cursor: pointer;
			position: absolute;
			padding: 12px;
			top: 11px;

			&:before {
				content: "";
				font-size: 0;
				border: 6px solid transparent;
			}
		}

		.downbutton {
			right: 2px;

			&:before {
				position: relative;
				top: 2px;
				border-top-color: #fff;
				border-top-width: 10px;
			}
		}

		.upbutton {
			right: 50px;

			&:before {
				position: relative;
				top: -8px;
				border-bottom-color: #fff;
				border-bottom-width: 10px;
			}
		}


		&.green {
			background-color: $vaadin-green;
		}
		&.orange {
			background-color: $vaadin-orange;
		}
		&.pink {
			background-color: $vaadin-pink;
		}
	}

	.last .downbutton,
	.first .upbutton {
		opacity: 0.7;
	}


	.toplevelcategory {
		position: relative;
		padding: 60px 17px 10px;

		&:after {
			content: "";
			width: 10px;
			height: 100%;
			position: absolute;
			right: 0;
			top: 0;
			background-color: $vaadin-blue;
		}

		&.green:after {
			background-color: $vaadin-green;
		}
		&.orange:after {
			background-color: $vaadin-orange;
		}
		&.pink:after {
			background-color: $vaadin-pink;
		}

		.samplelink.selected {
			background-color: $vaadin-blue;
		}

		&.green .samplelink.selected {
			background-color: $vaadin-green;
		}
		&.orange .samplelink.selected {
			background-color: $vaadin-orange;
		}
		&.pink .samplelink.selected {
			background-color: $vaadin-pink;
		}

		& > .samplelink:nth-child(2),
		& > .samplelink:nth-child(3) {
			margin-top: 20px;
		}

	}

	.secondlevelcategory-anchor,
	.lowestlevelcategory-anchor {
		@include border-box;
		width: 100%;
		display: inline-block;
		font-size: 18px;
		color: #676767;
		text-decoration: none;
		padding: 43px 5px 10px;
		cursor: pointer;
	}

	.secondlevelcategory {
		.lowestlevelcategory-anchor {
			text-align: right;
			font-size: 16px;
			color: #666666;
			padding-top: 25px;
		}
	}

	.secondlevelcategory .lowestlevelcategory:nth-child(2) .lowestlevelcategory-anchor {
		padding-top: 0 !important;
	}

	.samplelink {
		@include border-box;
		display: inline-block;
		width: 50%;
		height: 103px;
		border-left: 5px solid #fff;
		border-right: 5px solid #fff;
		border-bottom: 3px solid #fff;
		text-decoration: none;
		text-align: center;
		color: #404040;
		line-height: 1;
		font-size: 14px;
		overflow: hidden;
		background-color: #f1f1f1;
		cursor: pointer;
		position: relative;

		.icon {
			font-family: community;
			font-size: 63px;
			display: inline-block;
			width: 100%;
			color: #808080;
			margin: 8px 0 3px;
		}

		.title {
			position: absolute;
			left: 0;
			bottom: 5px;
			width: 100%;
		}

		&:hover,
		&:hover .icon {
			color: #525252;
		}


		&.selected {
			&,
			.icon {
				color: #fff;
			}
		}

	}


}
